createOrUpdateAccessProfileMapping
Create or update the mapping between identity provider roles and Conviso Platform access profiles
createOrUpdateAccessProfileMapping(
input: CreateOrUpdateAccessProfileMappingInput!
): CreateOrUpdateAccessProfileMappingPayload
Arguments
createOrUpdateAccessProfileMapping.input ● CreateOrUpdateAccessProfileMappingInput! non-null input
Parameters for CreateOrUpdateAccessProfileMapping
Type
CreateOrUpdateAccessProfileMappingPayload object
Autogenerated return type of CreateOrUpdateAccessProfileMapping.
Example request
This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.
Before you run it
Run the integrations query first and use data.integrations.collection[].id as integrationId.
- cURL
- JavaScript
- Python
curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateCreateOrUpdateAccessProfileMapping($input: CreateOrUpdateAccessProfileMappingInput!) {\n createOrUpdateAccessProfileMapping(input: $input) { accessProfileMappings { accessProfileId externalRoleId integrationId } clientMutationId }\n}","variables":{"input":{"integrationId":"<integration_id>","accessProfileMappings":[{"externalRoleId":"example","accessProfileId":"<access_profile_id>"}]}}}'
const response = await fetch('https://api.convisoappsec.com/graphql', {
method: 'POST',
headers: {
'content-type': 'application/json',
'x-api-key': process.env.CONVISO_API_KEY,
},
body: JSON.stringify({
query: "mutation MutateCreateOrUpdateAccessProfileMapping($input: CreateOrUpdateAccessProfileMappingInput!) {\n createOrUpdateAccessProfileMapping(input: $input) { accessProfileMappings { accessProfileId externalRoleId integrationId } clientMutationId }\n}",
variables: {
"input": {
"integrationId": "<integration_id>",
"accessProfileMappings": [
{
"externalRoleId": "example",
"accessProfileId": "<access_profile_id>"
}
]
}
},
}),
});
const { data, errors } = await response.json();
if (errors) throw new Error(errors.map(({ message }) => message).join(', '));
console.log(data);
import json
import os
import requests
response = requests.post(
'https://api.convisoappsec.com/graphql',
headers={
'content-type': 'application/json',
'x-api-key': os.environ['CONVISO_API_KEY'],
},
json={
'query': "mutation MutateCreateOrUpdateAccessProfileMapping($input: CreateOrUpdateAccessProfileMappingInput!) {\n createOrUpdateAccessProfileMapping(input: $input) { accessProfileMappings { accessProfileId externalRoleId integrationId } clientMutationId }\n}",
'variables': json.loads("{\"input\":{\"integrationId\":\"<integration_id>\",\"accessProfileMappings\":[{\"externalRoleId\":\"example\",\"accessProfileId\":\"<access_profile_id>\"}]}}"),
},
timeout=30,
)
response.raise_for_status()
payload = response.json()
if payload.get('errors'):
raise RuntimeError(payload['errors'])
print(payload['data'])
Contribute to the Docs
Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.
How to contribute